// export const C2fromDataBaseFu =(val:'RK'|'YK'|'CK',txt:'入库'|'移库'|'出库')=>{

// }

export type C2fromDataType = {
  startTime: string
  endTime: string
  num: string
  status: null | number
  pageNum: number
  pageSize: number
}

export const C2fromDataBase: C2fromDataType = {
  startTime: '',
  endTime: '',
  num: '',
  status: null,
  pageNum: 1,
  pageSize: 10
}

export const C2lookPageStaObj = {
  1: '新增',
  2: '重新提交',
  3: '查看',
  4: '审批'
}

// 处理位置字段-1分3、3分1
export const locTxtValueFu = (index: number, val: string) => {
  const arr = val ? val.split('-') : ['', '', '']
  return arr[index]
}
export const locTxtChangeFu = (index: number, val: string, valAll: string) => {
  const arr = valAll ? valAll.split('-') : ['', '', '']
  arr[index] = val
  return arr.join('-')
}
